=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                libappimage-dev (>= 0.1.10),
                libattr1-dev,
                libavcodec-dev (>= 57.48~),
@@ -16,13 +16,13 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.21),
-               libkf5archive-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libqmobipocket-dev,
+               libkf5archive-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
                libpoppler-qt5-dev (>= 0.12.1),
                libpostproc-dev,
+               libqmobipocket-dev,
                libqt5sql5-sqlite:native,
                libswscale-dev,
                libtag1-dev (>= 1.11.1~),
