=== debian/control ===
--- 
+++ 
@@ -1,45 +1,44 @@
 Source: kfilemetadata-kf5
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libappimage-dev (>= 0.1.10),
+               extra-cmake-modules (>= 5.101.0~),
                libattr1-dev,
-               libavcodec-dev (>= 57.48~),
+               libavcodec-dev (>= 7:3.1~),
                libavdevice-dev (>= 3.1~),
-               libavformat-dev (>= 57.40~),
+               libavformat-dev (>= 7:3.1~),
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.21),
-               libkf5archive-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
+               libkf5archive-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
                libpoppler-qt5-dev (>= 0.12.1),
                libpostproc-dev,
-               libqmobipocket-dev,
+               libqmobipocket-dev (>= 4:2.0~),
                libqt5sql5-sqlite:native,
-               libswscale-dev,
+               libswscale-dev (>= 7:3.1~),
                libtag1-dev (>= 1.11.1~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kfilemetadata
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata.git
 Rules-Requires-Root: no
 
 Package: libkf5filemetadata-bin
 Architecture: any
-Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: catdoc
 Multi-Arch: same
 Description: library for extracting file metadata
  This library is for extracting file metadata.
