## kfilemetadata-kf5 5.102.0

=== debian/changelog ===
kfilemetadata-kf5 (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Add optional build dependency on libkf5config-dev, required for the
    AppImage extractor.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:05 +0100

kfilemetadata-kf5 (5.101.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add appimage support on linux architectures.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Dec 2022 14:36:57 +0100
