=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
+               libappimage-dev (>= 0.1.10~) [linux-any],
                libattr1-dev,
                libavcodec-dev (>= 7:3.1~),
                libavdevice-dev (>= 3.1~),
@@ -15,9 +16,10 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.21),
-               libkf5archive-dev (>= 5.101.0~),
-               libkf5coreaddons-dev (>= 5.101.0~),
-               libkf5i18n-dev (>= 5.101.0~),
+               libkf5archive-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
                libpoppler-qt5-dev (>= 0.12.1),
                libpostproc-dev,
                libqmobipocket-dev (>= 4:2.0~),
@@ -29,7 +31,7 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kfilemetadata
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata.git
